import { Application } from "express";
import { Container } from "inversify";
import { ApiApp, AppConfig } from "typescript-lambda-api";
/**
 * Simple console application that hosts an express HTTP
 * server.
 *
 * Requests are mapped from client's HTTP message to the ApiServer
 * event format, this then processes the request. The server
 * response is mapped to a standard HTTP response and returned
 * to the express client.
 */
export declare class ApiConsoleApp extends ApiApp {
    private static readonly APP_OPTIONS;
    protected readonly controllersPath: string;
    protected readonly expressApp: Application;
    constructor(controllersPath: string, appConfig?: AppConfig, appContainer?: Container);
    run(args: string[]): Promise<void>;
    private parseArguments;
    private handleHttpRequest;
    private mapRequestToApiEvent;
    private forwardApiResponse;
}
